﻿body {
    font-family: "Open Sans", sans-serif;
    height: 100vh;
    background: url("./background.png") 50% fixed;
    background-size: cover;
}

@keyframes spinner {
    0% {
        transform: rotateZ(0deg);
    }

    100% {
        transform: rotateZ(359deg);
    }
}

* {
    box-sizing: border-box;
}

.wrapper {
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    width: 100%;
    min-height: 100%;
    padding: 20px;
    background: rgba(0,0,0,0.55);
}

.formMask {
    display: block;
    height: 100%;
    width: 100%;
    background: #ffffff;
    color: #ffffff;
    opacity: .6;
    -moz-opacity: 0.6;
}

.login {
    border-radius: 5px 5px 5px 5px;
    padding: 10px 20px 20px 20px;
    width: 90%;
    max-width: 320px;
    background: #ffffff;
    position: relative;
    padding-bottom: 40px;
    box-shadow: 0px 1px 5px rgba(0, 0, 0, 0.3);
    opacity: 1 !important;
}

.text-danger {
    color: #dc3545 !important;
}

.alert-danger {
    color: #721c24;
    background-color: #f8d7da;
    border-color: #f5c6cb;
}

.login.loading button {
    max-height: 100%;
    padding-top: 50px;
}

    .login.loading button .spinner {
        opacity: 1;
        top: 40%;
    }

.login.ok button {
    background-color: #8bc34a;
}

    .login.ok button .spinner {
        border-radius: 0;
        border-top-color: transparent;
        border-right-color: transparent;
        height: 20px;
        animation: none;
        transform: rotateZ(-45deg);
    }

.login input {
    display: block;
    padding: 15px 10px;
    margin-bottom: 10px;
    width: 100%;
    height: 60px;
    border: 1px solid #ddd;
    transition: border-width 0.2s ease;
    border-radius: 2px;
    color: #ccc;
}

    .login input + i.fa {
        color: #fff;
        font-size: 1em;
        position: absolute;
        margin-top: -27px;
        margin-bottom: 5px;
        opacity: 0;
        left: 0;
        transition: all 0.1s ease-in;
    }

    .login input:focus {
        outline: none;
        color: #444;
        border-color: #f66711;
        border-left-width: 35px;
    }

        .login input:focus + i.fa {
            opacity: 1;
            left: 30px;
            transition: all 0.25s ease-out;
        }

.login a {
    font-size: 0.8em;
    color: #2196F3;
    text-decoration: none;
}

.login .title {
    color: #444;
    font-size: 1.2em;
    font-weight: bold;
    margin: 10px 0 30px 0;
    border-bottom: 1px solid #eee;
    padding-bottom: 20px;
}

.login .button {
    /* width: 280px;
    height: 100%;*/
    padding: 5px 5px !important;
    background: #f66711;
    color: #fff;
    display: block;
    border: none;
    margin-bottom: 20px;
    margin-top: 40px;
    height: 45px !important;
    /*position: absolute;*/
    /*left: 0;*/
    /*bottom: 0;*/
    /*max-height: 60px;*/
    /*border: 0px solid rgba(0, 0, 0, 0.1);*/
    /*border-radius: 0 0 2px 2px;*/
    /*transform: rotateZ(0deg);*/
    transition: all 0.1s ease-out;
    border-bottom-width: 7px;
}

.disabledButton {
    background: #666666 !important;
    color: #fff !important;
}

.spinner {
    display: block;
    width: 40px;
    height: 40px;
    position: absolute;
    border: 4px solid #ffffff;
    border-top-color: rgba(255, 255, 255, 0.3);
    border-radius: 100%;
    left: 50%;
    top: 0;
    opacity: 0;
    margin-left: -20px;
    margin-top: -20px;
    animation: spinner 0.6s infinite linear;
    transition: top 0.3s 0.3s ease, opacity 0.3s 0.3s ease, border-radius 0.3s ease;
    box-shadow: 0px 1px 0px rgba(0, 0, 0, 0.2);
}

 /*   .login .button .spinner {
        display: block;
        width: 40px;
        height: 40px;
        position: absolute;
        border: 4px solid #ffffff;
        border-top-color: rgba(255, 255, 255, 0.3);
        border-radius: 100%;
        left: 50%;
        top: 0;
        opacity: 0;
        margin-left: -20px;
        margin-top: -20px;
        animation: spinner 0.6s infinite linear;
        transition: top 0.3s 0.3s ease, opacity 0.3s 0.3s ease, border-radius 0.3s ease;
        box-shadow: 0px 1px 0px rgba(0, 0, 0, 0.2);
    }*/

.login:not(.loading) button:hover {
    box-shadow: 0px 1px 3px #fa4d09;
}

.login:not(.loading) button:focus {
    border-bottom-width: 4px;
}

footer {
    display: block;
    padding-top: 50px;
    text-align: center;
    color: #ddd;
    font-weight: normal;
    text-shadow: 0px -1px 0px rgba(0, 0, 0, 0.2);
    font-size: 0.8em;
}

    footer a, footer a:link {
        color: #fff;
        text-decoration: none;
    }


.message,
.validation-summary-errors {
    position: relative;
    background: #dae9f8;
    padding: 0.5em 0.75em;
    margin: 0 0 1em 2.25em;
    -webkit-border-radius: 0 3px 3px 0;
    border-radius: 0 3px 3px 0;
    font-size: 0.8em;
}

.validation-summary-errors ul {
    list-style: none;
    margin-left: -40px;
}
    .message.error:before, .validation-summary-errors.error:before {
        background: #e8330a;
        content: "\f057";
        padding-top: 2px;
    }

    .message:before,
    .validation-summary-errors:before {
        position: absolute;
        top: 0;
        right: 100%;
        line-height: 1.5;
        font-size: 1.5em;
        width: 1.5em;
        text-align: center;
        height: 100%;
        background: #5298dd;
        color: #fff;
        content: "\f0a1";
        font-family: "FontAwesome";
        -webkit-border-radius: 3px 0 0 3px;
        border-radius: 3px 0 0 3px;
        padding-top: 3px;
    }

.incidents {
    background: #f8dada !important;
    list-style: inside !important;
}

.incidents:before {
    background: #dd5252 !important;
}

/*Chrome, Safari, Edge*/
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none !important;
    margin: 0 !important;
}

/*firefox*/
input[type=number] {
    -moz-appearance: textfield !important;
}

.makeLink {
    background: transparent !important;
    border: 0px !important;
    text-decoration: underline !important;
    color: #2196F3 !important;
    cursor: pointer !important;
    padding: 0px !important;
    margin-top: -3px !important;
    margin-bottom: 0.5em;
    margin-left: -15px;
    width: 75px !important;
}

.btn-primary-mod {
    font-weight: bold !important;
}

.blocker {
    background-color: rgba(0,0,0,0.3) !important;
}

.modal {
    height: auto !important;
    overflow: visible !important;
}

.quickGlanceCellSize {
    padding-top: 2px !important;
    padding-bottom: 2px !important;
}